### Home Classes Methods

### In Files

- lib/twitter/rest/saved_searches.rb

### Methods

- #create_saved_search
- #destroy_saved_search
- #saved_search
- #saved_searches

### Included Modules

- Twitter::REST::Utils
- Twitter::Utils

### Class/Module Index

Quicksearch

- Twitter
- Twitter::Arguments
- Twitter::Base
- Twitter::BasicUser
- Twitter::Client
- Twitter::Configuration
- Twitter::Creatable
- Twitter::Cursor
- Twitter::DirectMessage
- Twitter::Entities
- Twitter::Entity
- Twitter::Entity::Hashtag
- Twitter::Entity::Symbol
- Twitter::Entity::URI
- Twitter::Entity::URL
- Twitter::Entity::UserMention
- Twitter::Enumerable
- Twitter::Error
- Twitter::Error::AlreadyFavorited
- Twitter::Error::AlreadyRetweeted
- Twitter::Error::BadGateway
- Twitter::Error::BadRequest
- Twitter::Error::ClientError
- Twitter::Error::Code
- Twitter::Error::ConfigurationError
- Twitter::Error::DuplicateStatus
- Twitter::Error::Forbidden
- Twitter::Error::GatewayTimeout
- Twitter::Error::InternalServerError
- Twitter::Error::NotAcceptable
- Twitter::Error::NotFound
- Twitter::Error::RequestTimeout
- Twitter::Error::ServerError
- Twitter::Error::ServiceUnavailable
- Twitter::Error::TooManyRequests
- Twitter::Error::UnacceptableIO
- Twitter::Error::Unauthorized
- Twitter::Error::UnprocessableEntity
- Twitter::Factory
- Twitter::Geo
- Twitter::Geo::Point
- Twitter::Geo::Polygon
- Twitter::GeoFactory
- Twitter::GeoResults
- Twitter::Identity
- Twitter::Language
- Twitter::List
- Twitter::Media
- Twitter::Media::Photo
- Twitter::MediaFactory
- Twitter::Metadata
- Twitter::OEmbed
- Twitter::Place
- Twitter::Profile
- Twitter::ProfileBanner
- Twitter::REST
- Twitter::REST::API
- Twitter::REST::Client
- Twitter::REST::DirectMessages
- Twitter::REST::Favorites
- Twitter::REST::FriendsAndFollowers
- Twitter::REST::Help
- Twitter::REST::Lists
- Twitter::REST::OAuth
- Twitter::REST::PlacesAndGeo
- Twitter::REST::Request
- Twitter::REST::Request::MultipartWithFile
- Twitter::REST::Response
- Twitter::REST::Response::ParseErrorJson
- Twitter::REST::Response::ParseJson
- Twitter::REST::Response::RaiseError
- Twitter::REST::SavedSearches
- Twitter::REST::Search
- Twitter::REST::SpamReporting
- Twitter::REST::SuggestedUsers
- Twitter::REST::Timelines
- Twitter::REST::Trends
- Twitter::REST::Tweets
- Twitter::REST::Undocumented
- Twitter::REST::Users
- Twitter::REST::Utils
- Twitter::RateLimit
- Twitter::Relationship
- Twitter::Request
- Twitter::SavedSearch
- Twitter::SearchResults
- Twitter::Settings
- Twitter::Size
- Twitter::SourceUser
- Twitter::Streaming
- Twitter::Streaming::Client
- Twitter::Streaming::Connection
- Twitter::Streaming::DeletedTweet
- Twitter::Streaming::Event
- Twitter::Streaming::FriendList
- Twitter::Streaming::MessageParser
- Twitter::Streaming::Response
- Twitter::Streaming::StallWarning
- Twitter::Suggestion
- Twitter::TargetUser
- Twitter::Token
- Twitter::Trend
- Twitter::TrendResults
- Twitter::Tweet
- Twitter::User
- Twitter::Utils
- Twitter::Utils::ClassMethods
- Twitter::Version

No matching classes.

# Twitter::REST::SavedSearches

### Public Instance Methods

create_saved_search(query, options = {}) click to toggle source

Creates a saved search for the authenticated user

@see dev.twitter.com/docs/api/1.1/post/saved_searches/create @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::SavedSearch] The created saved search. @param query [String] The query of the search the user would like to save. @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/saved_searches.rb, line 66
    def create_saved_search(query, options = {})
      perform_with_object(:post, '/1.1/saved_searches/create.json', options.merge(:query => query), Twitter::SavedSearch)
    end

destroy_saved_search(*args) click to toggle source

Destroys saved searches for the authenticated user

@see dev.twitter.com/docs/api/1.1/post/saved_searches/destroy/:id @note The search specified by ID must be owned by the authenticating user. @rate_limited No @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::SavedSearch>] The deleted saved searches. @overload destroy_saved_search(*ids)

    @param ids [Enumerable<Integer>] A collection of saved search IDs.

@overload destroy_saved_search(*ids, options)

    @param ids [Enumerable<Integer>] A collection of saved search IDs.
    @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/saved_searches.rb, line 84
    def destroy_saved_search(*args)
      arguments = Twitter::Arguments.new(args)
      pmap(arguments) do |id|
        perform_with_object(:post, "/1.1/saved_searches/destroy/#{id}.json", arguments.options, Twitter::SavedSearch)
      end
    end

saved_search(id, options = {}) click to toggle source

Retrieve the data for saved searches owned by the authenticating user

@see dev.twitter.com/docs/api/1.1/get/saved_searches/show/:id @rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Twitter::SavedSearch] The saved searches. @param id [Integer] The ID of the saved search. @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/saved_searches.rb, line 53
    def saved_search(id, options = {})
      perform_with_object(:get, "/1.1/saved_searches/show/#{id}.json", options, Twitter::SavedSearch)
    end

saved_searches(*args) click to toggle source

@rate_limited Yes @authentication Requires user context @raise [Twitter::Error::Unauthorized] Error raised when supplied user credentials are not valid. @return [Array<Twitter::SavedSearch>] The saved searches. @overload saved_search(options = {})

    Returns the authenticated user's saved search queries

    @see https://dev.twitter.com/docs/api/1.1/get/saved_searches/list
    @param options [Hash] A customizable set of options.

@overload saved_search(*ids)

    Retrieve the data for saved searches owned by the authenticating user

    @see https://dev.twitter.com/docs/api/1.1/get/saved_searches/show/:id
    @param ids [Enumerable<Integer>] A collection of saved search IDs.

@overload saved_search(*ids, options)

    Retrieve the data for saved searches owned by the authenticating user

    @see https://dev.twitter.com/docs/api/1.1/get/saved_searches/show/:id
    @param ids [Enumerable<Integer>] A collection of saved search IDs.
    @param options [Hash] A customizable set of options.

    # File lib/twitter/rest/saved_searches.rb, line 33
    def saved_searches(*args)
      arguments = Twitter::Arguments.new(args)
      if arguments.empty?
        perform_with_objects(:get, '/1.1/saved_searches/list.json', arguments.options, Twitter::SavedSearch)
      else
        pmap(arguments) do |id|
          saved_search(id, arguments.options)
        end
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.